# 用户表 sys_user

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 用户id |
| user_name | varchar | not null | 用户名 |
| password | varchar | not null | 密码 |

# 论文文件表 sys_file   

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 文件id |
| file_path | varchar | not null | 文件路径 |
| url_path | varchar | not null | 访问路径 |

# 论文笔记表 sys_paper_note

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 文件id |
| paper_id | bigint | not null | 论文id |
| file_id | bigint | not null | 原文件id |
| file_path | varchar | not null | 文件路径 |
| url_path | varchar | not null | 访问路径 |
| user_name | varchar | not null | 修改用户 |

# 论文 sys_paper

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 论文id |
| title | varchar | not null | 论文标题 |
| type | varchar | not null | 论文类型 |
| author | varchar | not null | 论文作者 |
| profession | varchar | not null | 学科专业 |
| school | varchar | not null | 学校 |
| year | int | not null | 学位年度 |
| summary | varchar | not null | 摘要 |
| tag | varchar | not null | 论文标签 |
| file_id | bigint | not null | 正文文件id |
| user_name | varchar | not null | 上传用户 |

# 论文评价 sys_paper_rating
| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| id | bigint | primary key; identity | 评价id |
| score1 | int | not null | 帮助分 |
| score2 | int | not null | 严谨分 |
| score3 | int | not null | 推荐分 |
| paper_id | bigint | not null | 论文id |
| user_name | varchar | not null | 评价用户 |

# 笔记 sys_note

| 列名 | 数据类型 | 约束条件 | 含义 |
| ---- | -------- | -------- | ---- |
| note_id | varchar | primary key | 笔记id |
| note_title | varchar | not null | 笔记标题 |
| note_content | varchar | not null | 笔记内容 |
| paper_id | bigint | not null | 论文id |
| user_name | varchar | not null | 笔记用户 |
