package com.bupt.note.ResponseData;

public class ResponseDataUtil {

    public static <T> ResponseData<T> buildSuccess(T data) {
        return new ResponseData<>(ResultEnums.SUCCESS, data);
    }

    public static <T> ResponseData<T> buildSuccess() {
        return new ResponseData<>(ResultEnums.SUCCESS);
    }

    public static   ResponseData<String> buildSuccess(String msg) {
        return new ResponseData<>(ResultEnums.SUCCESS.getCode(), msg);
    }

    public static  <T> ResponseData<T> buildSuccess(String code, String msg) {
        return new ResponseData<>(code, msg);
    }

    public static <T> ResponseData<T> buildSuccess(String code, String msg, T data) {
        return new ResponseData<>(code, msg, data);
    }

    public static  <T> ResponseData<T> buildSuccess(ResultEnums resultEnums) {
        return new ResponseData<>(resultEnums);
    }

    public static <T> ResponseData<T> buildError(T data) {
        return new ResponseData<>(ResultEnums.ERROR, data);
    }

    public static  <T> ResponseData<T> buildError() {
        return new ResponseData<>(ResultEnums.ERROR);
    }

    public static  <T> ResponseData<T> buildError(String msg) {
        return new ResponseData<>(ResultEnums.ERROR.getCode(), msg);
    }

    public static  <T> ResponseData<T> buildError(String code, String msg) {
        return new ResponseData<>(code, msg);
    }

    public static <T> ResponseData<T> buildError(String code, String msg, T data) {
        return new ResponseData<>(code, msg, data);
    }

    public static  <T> ResponseData<T> buildError(ResultEnums resultEnums) {
        return new ResponseData<>(resultEnums);
    }
}
